GET
https://api.cryptohopper.com/v1/market/giftcards/{giftcard_id}
Returns a public gift card, or one of your own custom gift cards.
Example request
curl "https://api.cryptohopper.com/v1/market/giftcards/GIFTCARD_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/market/giftcards/GIFTCARD_ID', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/market/giftcards/GIFTCARD_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/market/giftcards/GIFTCARD_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
giftcard_id |
string | Required | Gift card ID. |
Response
{
"data": {
"id": "12",
"giftcard_name": "Cryptohopper credits 50",
"giftcard_image": "https://cdn.cryptohopper.com/images/giftcards/templates/credits.png",
"giftcard_type": "credits",
"giftcard_value": "50.00",
"plan_id": "0",
"marketplace_id": "0",
"currency": "USD",
"price": "50.00",
"created": "2025-12-01 10:00:00",
"updated": "2025-12-01 10:00:00"
}
}